Bug 1659223 (CVE-2018-16476)

Summary: CVE-2018-16476 activejob: Information Exposure through deserialization using GlobalId
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bbuckingham, bcourt, bkearney, dajohnso, dmetzger, gblomqui, gmccullo, gtanzill, hhorak, jaruga, jfrey, jhardy, jorton, jprause, kdixon, mmccune, mrike, obarenbo, ohadlevy, pvalena, rchan, rcosta, rjerrido, roliveri, ruby-maint, simaishi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: activejob 4.2.11, activejob 5.0.7.1, activejob 5.1.6.1, activejob 5.2.1.1 Doc Type: If docs needed, set a value
Doc Text:
A deserialization flaw, leading to an information exposure flaw, was found in the activejob component used by Red Hat CloudForms and Red Hat Satellite. An attacker can use this flaw to leak memory addresses belonging to the aforementioned applications.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:43:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1674087, 1659224, 1660585, 1660586, 1674049, 1674050, 1674051, 1674052, 1674088    
Bug Blocks: 1659227    

Description Laura Pardo 2018-12-13 20:31:47 UTC
A Broken Access Control vulnerability in Active Job versions >= 4.2.0 allows an attacker to craft user input which can cause Active Job to deserialize it using GlobalId and give them access to information that they should not have. 


References:
https://groups.google.com/d/msg/rubyonrails-security/FL4dSdzr2zw/zjKVhF4qBAAJ 
https://weblog.rubyonrails.org/2018/11/27/Rails-4-2-5-0-5-1-5-2-have-been-released/

Comment 1 Laura Pardo 2018-12-13 20:32:05 UTC
Created rubygem-activejob tracking bugs for this issue:

Affects: fedora-all [bug 1659224]

Comment 2 Scott Gayou 2018-12-18 17:56:11 UTC
RHSCL is vulnerable. Here's an example of what the input looks like before and after serialization & deserialization:

```
(["gid://poc/Person/5"])
```
=>

```
([#<Person:0x0000000001616ce0 @id="5">]).
```

Comment 10 errata-xmlrpc 2019-03-19 07:22:13 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.9

Via RHSA-2019:0600 https://access.redhat.com/errata/RHSA-2019:0600